0.9.8: GLM_GTX_matrix_query

| 0.9.8

- Main Page
- Modules
- Files

Functions
GLM_GTX_matrix_query
GTX Extensions (Experimental)

## Functions
template<typename T , precision P, template< typename, precision > class matType>
GLM_FUNC_DECL bool | isIdentity (matType< T, P > const &m, T const &epsilon)
template<typename T , precision P>
GLM_FUNC_DECL bool | isNormalized (tmat2x2< T, P > const &m, T const &epsilon)
template<typename T , precision P>
GLM_FUNC_DECL bool | isNormalized (tmat3x3< T, P > const &m, T const &epsilon)
template<typename T , precision P>
GLM_FUNC_DECL bool | isNormalized (tmat4x4< T, P > const &m, T const &epsilon)
template<typename T , precision P>
GLM_FUNC_DECL bool | isNull (tmat2x2< T, P > const &m, T const &epsilon)
template<typename T , precision P>
GLM_FUNC_DECL bool | isNull (tmat3x3< T, P > const &m, T const &epsilon)
template<typename T , precision P>
GLM_FUNC_DECL bool | isNull (tmat4x4< T, P > const &m, T const &epsilon)
template<typename T , precision P, template< typename, precision > class matType>
GLM_FUNC_DECL bool | isOrthogonal (matType< T, P > const &m, T const &epsilon)

## Detailed Description

Query to evaluate matrix properties.

<glm/gtx/matrix_query.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL bool glm::isIdentity | ( | matType< T, P > const & | m,
|  | T const & | epsilon
| ) |  |

Return whether a matrix is an identity matrix.

From GLM_GTX_matrix_query extension.

GLM_FUNC_DECL bool glm::isNormalized | ( | tmat2x2< T, P > const & | m,
|  | T const & | epsilon
| ) |  |

Return whether a matrix is a normalized matrix.

From GLM_GTX_matrix_query extension.

GLM_FUNC_DECL bool glm::isNormalized | ( | tmat3x3< T, P > const & | m,
|  | T const & | epsilon
| ) |  |

Return whether a matrix is a normalized matrix.

From GLM_GTX_matrix_query extension.

GLM_FUNC_DECL bool glm::isNormalized | ( | tmat4x4< T, P > const & | m,
|  | T const & | epsilon
| ) |  |

Return whether a matrix is a normalized matrix.

From GLM_GTX_matrix_query extension.

GLM_FUNC_DECL bool glm::isNull | ( | tmat2x2< T, P > const & | m,
|  | T const & | epsilon
| ) |  |

Return whether a matrix a null matrix.

From GLM_GTX_matrix_query extension.

GLM_FUNC_DECL bool glm::isNull | ( | tmat3x3< T, P > const & | m,
|  | T const & | epsilon
| ) |  |

Return whether a matrix a null matrix.

From GLM_GTX_matrix_query extension.

GLM_FUNC_DECL bool glm::isNull | ( | tmat4x4< T, P > const & | m,
|  | T const & | epsilon
| ) |  |

Return whether a matrix is a null matrix.

From GLM_GTX_matrix_query extension.

GLM_FUNC_DECL bool glm::isOrthogonal | ( | matType< T, P > const & | m,
|  | T const & | epsilon
| ) |  |

Return whether a matrix is an orthonormalized matrix.

From GLM_GTX_matrix_query extension.